Memos
User Service

List Users

ListUsers returns a list of users.

GET
/api/v1/users

Query Parameters

pageSize?integer

Optional. The maximum number of users to return. The service may return fewer than this value. If unspecified, at most 50 users will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

Formatint32
pageToken?string

Optional. A page token, received from a previous ListUsers call. Provide this to retrieve the subsequent page.

filter?string

Optional. Filter to apply to the list results. Example: "username == 'steven'" Supported operators: == Supported fields: username

showDeleted?boolean

Optional. If true, show deleted users in the response.

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/users"
{
  "users": [
    {
      "name": "string",
      "role": "ROLE_UNSPECIFIED",
      "username": "string",
      "email": "string",
      "displayName": "string",
      "avatarUrl": "string",
      "description": "string",
      "password": "string",
      "state": "STATE_UNSPECIFIED",
      "createTime": "2019-08-24T14:15:22Z",
      "updateTime": "2019-08-24T14:15:22Z"
    }
  ],
  "nextPageToken": "string",
  "totalSize": 0
}
{
  "code": 0,
  "message": "string",
  "details": [
    {
      "@type": "string"
    }
  ]
}

On this page

No Headings